### Name: fabiap
### Title: Factor Analysis for Bicluster Acquisition: Post-Projection
###   (FABIAP)
### Aliases: fabiap
### Keywords: methods multivariate cluster

### ** Examples


#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]

resEx <- fabiap(X,50,0.3,1.0,1.0,3,0.7,0.7)

## Not run: 
##D #---------------
##D # DEMO1
##D #---------------
##D 
##D dat <- make_fabi_data_blocks(n = 1000,l= 100,p = 10,f1 = 5,f2 = 5,
##D   of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
##D   sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)
##D 
##D X <- dat[[1]]
##D Y <- dat[[2]]
##D 
##D resToy <- fabiap(X,200,0.4,1.0,1.0,13,0.7,0.7)
##D 
##D rToy <- extract_plot(X,resToy$L,resToy$Z,ti="FABIAP",Y=Y)
##D 
##D #---------------
##D # DEMO2
##D #---------------
##D 
##D data(Breast_A)
##D 
##D X <- as.matrix(XBreast)
##D 
##D resBreast <- fabiap(X,200,0.1,1.0,1.0,5,0.5,0.3)
##D 
##D rBreast <- extract_plot(X,resBreast$L,resBreast$Z,ti="FABIAP Breast cancer(Veer)")
##D 
##D #sorting of predefined labels
##D CBreast
##D 
##D #---------------
##D # DEMO3
##D #---------------
##D 
##D data(Multi_A)
##D 
##D X <- as.matrix(XMulti)
##D 
##D resMulti <- fabiap(X,200,0.1,1.0,1.0,5,0.5,0.3)
##D 
##D rMulti <- extract_plot(X,resMulti$L,resMulti$Z,ti="FABIAP Multiple tissues(Su)")
##D 
##D #sorting of predefined labels
##D CMulti
##D 
##D #---------------
##D # DEMO4
##D #---------------
##D 
##D data(DLBCL_B)
##D 
##D X <- as.matrix(XDLBCL)
##D 
##D resDLBCL <- fabiap(X,200,0.1,1.0,1.0,5,0.5,0.3)
##D 
##D rDLBCL <- extract_plot(X,resDLBCL$L,resDLBCL$Z,ti="FABIAP Lymphoma(Rosenwald)")
##D 
##D #sorting of predefined labels
##D CDLBCL
##D 
## End(Not run)



